
drop table grades;
drop table students;
drop table courses;
drop table grade;
drop table student;
drop table course;


create table student (
	ssn	char(11),
	first	varchar2(50),
	last 	varchar2(50),
	street  varchar2(100),
	city	varchar2(50),
	state	char(2),
	zip	number(5),
	phone	char(12),
	constraint student_pk primary key (ssn)
);

create table course (
	id		varchar(20),
	name		varchar2(100),
	department 	char(2),
	constraint course_pk primary key (id)
);

create table grade (
	ssn	char(11),
	id	varchar(20),
	grade	number(3,1),
	constraint gradesstudent_fk foreign key (ssn) references student(ssn),
	constraint gradescourses_fk foreign key (id) references course(id)
);